NDB_SETUP.PY(1)

NAME
ndb_setup.py - Start browser-based Auto-Installer for NDB Cluster

SYNOPSIS

ndb_setup.py [options]

DESCRIPTION

    Note

    This feature is deprecated and should be avoided. It is subject to removal in a future version of NDB Cluster.

ndb_setup.py starts the NDB Cluster Auto-Installer and opens the installer's Start page in the default Web browser.

    Important

    This program is intended to be invoked as a normal user, and not with the mysql, system root or other administrative account.

This section describes usage of and program options for the command-line tool only. For information about using the Auto-Installer GUI that is spawned when ndb_setup.py is invoked, see Section 21.3.8, “The NDB Cluster Auto-Installer (NDB 7.5) (No longer supported)”. Usage

All platforms:

    ndb_setup.py [options]

Additionally, on Windows platforms only:

    setup.bat [options]

The following table includes all options that are supported by the NDB Cluster installation and configuration program ndb_setup.py. Additional descriptions follow the table.

Table 21.43. Command-line options used with the program ndb_setup.py
Format | Description | Added, Deprecated, or Removed
--browser-start-page=path, -s path | Page that web browser opens when starting | (Supported in all NDB releases based on MySQL 5.7)
--ca-certs-file=path, -a path | File containing list of client certificates allowed to connect to server | (Supported in all NDB releases based on MySQL 5.7)
--cert-file=path, -c path | File containing X509 certificate identifying server | (Supported in all NDB releases based on MySQL 5.7)
--debug-level=level, -d level | Python logging module debug level; one of DEBUG, INFO, WARNING (default), ERROR, or CRITICAL | (Supported in all NDB releases based on MySQL 5.7)
--help, -h | Print help message | (Supported in all NDB releases based on MySQL 5.7)
--key-file=path, -k path | Specify file containing private key (if not included in --cert-file) | (Supported in all NDB releases based on MySQL 5.7)
--no-browser, -n | Do not open start page in browser, merely start tool | (Supported in all NDB releases based on MySQL 5.7)
--port=#, -p # | Specify port used by web server | (Supported in all NDB releases based on MySQL 5.7)
--server-log-file=path, -o path | Log requests to this file; use '-' to force logging to stderr instead | (Supported in all NDB releases based on MySQL 5.7)
--server-name=host, -N host | Name of server to connect to | (Supported in all NDB releases based on MySQL 5.7)
--use-http, -H | Use unencrypted (HTTP) client/server connection | (Supported in all NDB releases based on MySQL 5.7)
--use-https, -S | Use encrypted (HTTPS) client/server connection | (Supported in all NDB releases based on MySQL 5.7)

    • --browser-start-page=file, -s
    Command-Line Format | --browser-start-page=path
    Type | String
    Default Value | index.html

    Specify the file to open in the browser as the installation and configuration Start page. The default is index.html.

    • --ca-certs-file=file, -a
    Command-Line Format | --ca-certs-file=path
    Type | File name
    Default Value | [none]

    Specify a file containing a list of client certificates which are allowed to connect to the server. The default is an empty string, which means that no client authentication is used.

    • --cert-file=file, -c
    Command-Line Format | --cert-file=path
    Type | File name
    Default Value | /usr/share/mysql/mcc/cfg.pem

    Specify a file containing an X.509 certificate which identifies the server. It is possible for the certificate to be self-signed. The default is cfg.pem.

    • --debug-level=level, -d
    Command-Line Format | --debug-level=level
    Type | Enumeration
    Default Value | WARNING
    Valid Values | WARNING DEBUG INFO ERROR CRITICAL

    Set the Python logging module debug level. This is one of DEBUG, INFO, WARNING, ERROR, or CRITICAL. WARNING is the default.

    • --help, -h
    Command-Line Format | --help

    Print a help message.

    • --key-file=file, -d
    Command-Line Format | --key-file=path
    Type | File name
    Default Value | [none]

    Specify a file containing the private key if this is not included in the X. 509 certificate file (--cert-file). The default is an empty string, which means that no such file is used.

    • --no-browser, -n
    Command-Line Format | --no-browser

    Start the installation and configuration tool, but do not open the Start page in a browser.

    • --port=#, -p
    Command-Line Format | --port=#
    Type | Numeric
    Default Value | 8081
    Minimum Value | 1
    Maximum Value | 65535

    Set the port used by the web server. The default is 8081.

    • --server-log-file=file, -o
    Command-Line Format | --server-log-file=path
    Type | File name
    Default Value | ndb_setup.log
    Valid Values | ndb_setup.log - (Log to stderr)

    Log requests to this file. The default is ndb_setup.log. To specify logging to stderr, rather than to a file, use a - (dash character) for the file name.

    • --server-name=host, -N
    Command-Line Format | --server-name=host
    Type | String
    Default Value | localhost

    Specify the host name or IP address for the browser to use when connecting. The default is localhost.

    • --use-http, -H
    Command-Line Format | --use-http

    Make the browser use HTTP to connect with the server. This means that the connection is unencrypted and not secured in any way.

    This option was added in NDB 7.6.

    • --use-https, -S
    Command-Line Format | --use-https

    Make the browser use a secure (HTTPS) connection with the server.

COPYRIGHT

Copyright © 1997, 2022, Oracle and/or its affiliates.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).